Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.external.javadoc
[Java] Class CoreJavadocOptions

    java.lang.Object
      org.gradle.external.javadoc.CoreJavadocOptions

All Implemented Interfaces:
  MinimalJavadocOptions

    public abstract class CoreJavadocOptions
    extends java.lang.Object

Provides the core Javadoc Options. That is, provides the options which are not doclet specific.

Authors:
  Tom Eyckmans

Constructor Summary
`CoreJavadocOptions()`
`protected CoreJavadocOptions(org.gradle.external.javadoc.internal.JavadocOptionFile optionFile)`

Method Summary
`JavadocOptionFileOption` | `addBooleanOption(java.lang.String option)`
`JavadocOptionFileOption` | `addBooleanOption(java.lang.String option, boolean value)`
`JavadocOptionFileOption` | `addEnumOption(java.lang.String option)`
`JavadocOptionFileOption` | `addEnumOption(java.lang.String option, java.lang.Object value)`
`JavadocOptionFileOption` | `addFileOption(java.lang.String option)`
`JavadocOptionFileOption` | `addFileOption(java.lang.String option, java.io.File value)`
`JavadocOptionFileOption` | `addMultilineStringsOption(java.lang.String option)`
`JavadocOptionFileOption` | `addOption(JavadocOptionFileOption option)`
`JavadocOptionFileOption` | `addPathOption(java.lang.String option)`
`JavadocOptionFileOption` | `addPathOption(java.lang.String option, java.lang.String joinBy)`
`JavadocOptionFileOption` | `addStringOption(java.lang.String option)`
`JavadocOptionFileOption` | `addStringOption(java.lang.String option, java.lang.String value)`
`JavadocOptionFileOption` | `addStringsOption(java.lang.String option)`
`JavadocOptionFileOption` | `addStringsOption(java.lang.String option, java.lang.String joinBy)`
`MinimalJavadocOptions` | `bootClasspath(java.io.File... bootClasspath)`
`MinimalJavadocOptions` | `breakIterator(boolean breakIterator)`
`MinimalJavadocOptions` | `breakIterator()`
`MinimalJavadocOptions` | `classpath(java.util.List classpath)`
`MinimalJavadocOptions` | `classpath(java.io.File... classpath)`
`void` | `contributeCommandLineOptions(ExecSpec execHandleBuilder)`
`MinimalJavadocOptions` | `doclet(java.lang.String doclet)`
`MinimalJavadocOptions` | `docletpath(java.io.File... docletpath)`
`MinimalJavadocOptions` | `encoding(java.lang.String encoding)`
`MinimalJavadocOptions` | `extDirs(java.io.File... extDirs)`
`java.util.List` | `getBootClasspath()`
`java.util.List` | `getClasspath()`
`java.lang.String` | `getDoclet()`
`java.util.List` | `getDocletpath()`
`java.lang.String` | `getEncoding()`
`java.util.List` | `getExtDirs()`
`java.util.List` | `getJFlags()`
`java.lang.String` | `getLocale()`
`JavadocMemberLevel` | `getMemberLevel()`
`java.util.List` | `getOptionFiles()`
`JavadocOutputLevel` | `getOutputLevel()`
`java.lang.String` | `getOverview()`
`java.lang.String` | `getSource()`
`java.util.List` | `getSourceNames()`
`boolean` | `isBreakIterator()`
`boolean` | `isVerbose()`
`MinimalJavadocOptions` | `jFlags(java.lang.String... jFlags)`
`MinimalJavadocOptions` | `locale(java.lang.String locale)`
`MinimalJavadocOptions` | `optionFiles(java.io.File... argumentFiles)`
`MinimalJavadocOptions` | `overview(java.lang.String overview)` Fluent setter for the overview option.
`MinimalJavadocOptions` | `quiet()`
`void` | `setBootClasspath(java.util.List bootClasspath)`
`void` | `setBreakIterator(boolean breakIterator)`
`void` | `setClasspath(java.util.List classpath)`
`void` | `setDoclet(java.lang.String doclet)`
`void` | `setDocletpath(java.util.List docletpath)`
`void` | `setEncoding(java.lang.String encoding)`
`void` | `setExtDirs(java.util.List extDirs)`
`void` | `setJFlags(java.util.List jFlags)`
`void` | `setLocale(java.lang.String locale)`
`void` | `setMemberLevel(JavadocMemberLevel memberLevel)`
`void` | `setOptionFiles(java.util.List optionFiles)`
`void` | `setOutputLevel(JavadocOutputLevel outputLevel)`
`void` | `setOverview(java.lang.String overview)`
`void` | `setSource(java.lang.String source)`
`void` | `setSourceNames(java.util.List sourceNames)`
`MinimalJavadocOptions` | `showAll()`
`MinimalJavadocOptions` | `showFromPackage()`
`MinimalJavadocOptions` | `showFromPrivate()`
`MinimalJavadocOptions` | `showFromProtected()`
`MinimalJavadocOptions` | `showFromPublic()`
`MinimalJavadocOptions` | `source(java.lang.String source)`
`MinimalJavadocOptions` | `sourceNames(java.lang.String... sourceNames)`
`MinimalJavadocOptions` | `verbose()`
`void` | `write(java.io.File outputFile)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### CoreJavadocOptions

    public CoreJavadocOptions()

### CoreJavadocOptions

    protected CoreJavadocOptions(org.gradle.external.javadoc.internal.JavadocOptionFile optionFile)

Method Detail

### addBooleanOption

    public JavadocOptionFileOption addBooleanOption(java.lang.String option)

### addBooleanOption

    public JavadocOptionFileOption addBooleanOption(java.lang.String option, boolean value)

### addEnumOption

    public JavadocOptionFileOption addEnumOption(java.lang.String option)

### addEnumOption

    public JavadocOptionFileOption addEnumOption(java.lang.String option, java.lang.Object value)

### addFileOption

    public JavadocOptionFileOption addFileOption(java.lang.String option)

### addFileOption

    public JavadocOptionFileOption addFileOption(java.lang.String option, java.io.File value)

### addMultilineStringsOption

    public JavadocOptionFileOption addMultilineStringsOption(java.lang.String option)

### addOption

    public JavadocOptionFileOption addOption(JavadocOptionFileOption option)

### addPathOption

    public JavadocOptionFileOption addPathOption(java.lang.String option)

### addPathOption

    public JavadocOptionFileOption addPathOption(java.lang.String option, java.lang.String joinBy)

### addStringOption

    public JavadocOptionFileOption addStringOption(java.lang.String option)

### addStringOption

    public JavadocOptionFileOption addStringOption(java.lang.String option, java.lang.String value)

### addStringsOption

    public JavadocOptionFileOption addStringsOption(java.lang.String option)

### addStringsOption

    public JavadocOptionFileOption addStringsOption(java.lang.String option, java.lang.String joinBy)

### bootClasspath

    public MinimalJavadocOptions bootClasspath(java.io.File... bootClasspath)

### breakIterator

    public MinimalJavadocOptions breakIterator(boolean breakIterator)

### breakIterator

    public MinimalJavadocOptions breakIterator()

### classpath

    public MinimalJavadocOptions classpath(java.util.List classpath)

### classpath

    public MinimalJavadocOptions classpath(java.io.File... classpath)

### contributeCommandLineOptions

    public void contributeCommandLineOptions(ExecSpec execHandleBuilder)

### doclet

    public MinimalJavadocOptions doclet(java.lang.String doclet)

### docletpath

    public MinimalJavadocOptions docletpath(java.io.File... docletpath)

### encoding

    public MinimalJavadocOptions encoding(java.lang.String encoding)

### extDirs

    public MinimalJavadocOptions extDirs(java.io.File... extDirs)

### getBootClasspath

    public java.util.List getBootClasspath()

### getClasspath

    public java.util.List getClasspath()

### getDoclet

    public java.lang.String getDoclet()

### getDocletpath

    public java.util.List getDocletpath()

### getEncoding

    public java.lang.String getEncoding()

### getExtDirs

    public java.util.List getExtDirs()

### getJFlags

    public java.util.List getJFlags()

### getLocale

    public java.lang.String getLocale()

### getMemberLevel

    public JavadocMemberLevel getMemberLevel()

### getOptionFiles

    public java.util.List getOptionFiles()

### getOutputLevel

    public JavadocOutputLevel getOutputLevel()

### getOverview

    public java.lang.String getOverview()

### getSource

    public java.lang.String getSource()

### getSourceNames

    public java.util.List getSourceNames()

### isBreakIterator

    public boolean isBreakIterator()

### isVerbose

    public boolean isVerbose()

### jFlags

    public MinimalJavadocOptions jFlags(java.lang.String... jFlags)

### locale

    public MinimalJavadocOptions locale(java.lang.String locale)

### optionFiles

    public MinimalJavadocOptions optionFiles(java.io.File... argumentFiles)

### overview

    public MinimalJavadocOptions overview(java.lang.String overview)

  Fluent setter for the overview option.
  Parameters:
    `overview` - The new overview.
  Returns:
    The `MinimalJavadocOptions` object.

### quiet

    public MinimalJavadocOptions quiet()

### setBootClasspath

    public void setBootClasspath(java.util.List bootClasspath)

### setBreakIterator

    public void setBreakIterator(boolean breakIterator)

### setClasspath

    public void setClasspath(java.util.List classpath)

### setDoclet

    public void setDoclet(java.lang.String doclet)

### setDocletpath

    public void setDocletpath(java.util.List docletpath)

### setEncoding

    public void setEncoding(java.lang.String encoding)

### setExtDirs

    public void setExtDirs(java.util.List extDirs)

### setJFlags

    public void setJFlags(java.util.List jFlags)

### setLocale

    public void setLocale(java.lang.String locale)

### setMemberLevel

    public void setMemberLevel(JavadocMemberLevel memberLevel)

### setOptionFiles

    public void setOptionFiles(java.util.List optionFiles)

### setOutputLevel

    public void setOutputLevel(JavadocOutputLevel outputLevel)

### setOverview

    public void setOverview(java.lang.String overview)

### setSource

    public void setSource(java.lang.String source)

### setSourceNames

    public void setSourceNames(java.util.List sourceNames)

### showAll

    public MinimalJavadocOptions showAll()

### showFromPackage

    public MinimalJavadocOptions showFromPackage()

### showFromPrivate

    public MinimalJavadocOptions showFromPrivate()

### showFromProtected

    public MinimalJavadocOptions showFromProtected()

### showFromPublic

    public MinimalJavadocOptions showFromPublic()

### source

    public MinimalJavadocOptions source(java.lang.String source)

### sourceNames

    public MinimalJavadocOptions sourceNames(java.lang.String... sourceNames)

### verbose

    public MinimalJavadocOptions verbose()

### write

    public final void write(java.io.File outputFile)

Groovy Documentation